# Uses of Class
org.apache.commons.math3.exception.ZeroException

Packages that use ZeroException
Package
Description
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.
org.apache.commons.math3.complex
Complex number type and implementations of complex transcendental functions.
org.apache.commons.math3.linear
Linear algebra support.
org.apache.commons.math3.random
Random number and random data generators.
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.

## Uses of ZeroException in org.apache.commons.math3.analysis.interpolation

Methods in org.apache.commons.math3.analysis.interpolation that throw ZeroException
Modifier and Type
Method
Description
`void`
FieldHermiteInterpolator.`addSamplePoint(T x, T[]... value)`
Add a sample point.
`void`
HermiteInterpolator.`addSamplePoint(double x, double[]... value)`
Add a sample point.

## Uses of ZeroException in org.apache.commons.math3.complex

Methods in org.apache.commons.math3.complex that throw ZeroException
Modifier and Type
Method
Description
`void`
RootsOfUnity.`computeRoots(int n)`
Computes the `n`-th roots of unity.

## Uses of ZeroException in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that throw ZeroException
Modifier and Type
Method
Description
`static <T extends FieldElement<T>>
FieldVector<T>`
MatrixUtils.`createFieldVector(T[] data)`
Creates a `FieldVector` using the data from the input array.
Constructors in org.apache.commons.math3.linear that throw ZeroException
Modifier
Constructor
Description
``
`ArrayFieldVector(Field<T> field, T[] v1, T[] v2)`
Construct a vector by appending one vector to another vector.
``
`ArrayFieldVector(T[] d)`
Construct a vector from an array, copying the input array.
``
`ArrayFieldVector(T[] d, boolean copyArray)`
Create a new ArrayFieldVector using the input array as the underlying data array.
``
`ArrayFieldVector(T[] v1, T[] v2)`
Construct a vector by appending one vector to another vector.

## Uses of ZeroException in org.apache.commons.math3.random

Methods in org.apache.commons.math3.random that throw ZeroException
Modifier and Type
Method
Description
`void`
ValueServer.`computeDistribution()`
Computes the empirical distribution using values from the file in `valuesFileURL`, using the default number of bins.
`void`
ValueServer.`computeDistribution(int binCount)`
Computes the empirical distribution using values from the file in `valuesFileURL` and `binCount` bins.
`void`
EmpiricalDistribution.`load(URL url)`
Computes the empirical distribution using data read from a URL.

## Uses of ZeroException in org.apache.commons.math3.stat.inference

Methods in org.apache.commons.math3.stat.inference that throw ZeroException
Modifier and Type
Method
Description
`double`
ChiSquareTest.`chiSquareDataSetsComparison(long[] observed1, long[] observed2)`
Computes a Chi-Square two sample test statistic comparing bin frequency counts in `observed1` and `observed2`.
`static double`
TestUtils.`chiSquareDataSetsComparison(long[] observed1, long[] observed2)`
`double`
ChiSquareTest.`chiSquareTestDataSetsComparison(long[] observed1, long[] observed2)`
Returns the observed significance level, or p-value, associated with a Chi-Square two sample test comparing bin frequency counts in `observed1` and `observed2`.
`boolean`
ChiSquareTest.`chiSquareTestDataSetsComparison(long[] observed1, long[] observed2, double alpha)`
Performs a Chi-Square two sample test comparing two binned data sets.
`static double`
TestUtils.`chiSquareTestDataSetsComparison(long[] observed1, long[] observed2)`
`static boolean`
TestUtils.`chiSquareTestDataSetsComparison(long[] observed1, long[] observed2, double alpha)`
`double`
GTest.`gDataSetsComparison(long[] observed1, long[] observed2)`
Computes a G (Log-Likelihood Ratio) two sample test statistic for independence comparing frequency counts in `observed1` and `observed2`.
`static double`
TestUtils.`gDataSetsComparison(long[] observed1, long[] observed2)`
`double`
GTest.`gTestDataSetsComparison(long[] observed1, long[] observed2)`
Returns the observed significance level, or p-value, associated with a G-Value (Log-Likelihood Ratio) for two sample test comparing bin frequency counts in `observed1` and `observed2`.
`boolean`
GTest.`gTestDataSetsComparison(long[] observed1, long[] observed2, double alpha)`
Performs a G-Test (Log-Likelihood Ratio Test) comparing two binned data sets.
`static double`
TestUtils.`gTestDataSetsComparison(long[] observed1, long[] observed2)`
`static boolean`
TestUtils.`gTestDataSetsComparison(long[] observed1, long[] observed2, double alpha)`
`static double`
TestUtils.`rootLogLikelihoodRatio(long k11, long k12, long k21, long k22)`